Subject: Re: [PATCH -next 0/3] tc state machinery cleanups

From: Daniel Borkmann <[email-masked]>
Date: Fri, 15 May 2015 15:11:53 +0200

On 05/15/2015 01:36 PM, Jamal Hadi Salim wrote:
...
> It would be useful to keep readability for the rest of the code the
> way it was - change the definition of the macros.
...
> Note: The macros are fugly - but there are better tools these days to
> make them easier to read so de-uglifying could be part of the goal.

Yep, they are fugly. :) Only adapting the definitions of the macros then
pointing to the skb bits of skb_tc_state (or however it's called eventually)
could certainly be an intermin step, where a follow-up could get rid of
the macros for the kernel eventually as part of the de-uglifying. Is that
what you mean?